﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace BandedStackPanelSL
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            // Initialize the ComboBoxes
            BandsComboBox.ItemsSource = new int[] { 1, 2, 3, 4, 5, 10 };
            BandsComboBox.SelectedIndex = 0;
            OrientationComboBox.ItemsSource = new Orientation[] { Orientation.Vertical, Orientation.Horizontal };
            OrientationComboBox.SelectedIndex = 0;

            // Create sample data
            var rand = new Random(0);
            var borderBrush = new SolidColorBrush(Colors.Black);
            var borderThickness = new Thickness(1);
            for (var i = 0; i < 15; i++)
            {
                // Randomize the element
                var width = rand.Next(50, 100);
                var height = rand.Next(25, 50);
                var background = new SolidColorBrush(Color.FromArgb(byte.MaxValue, (byte)rand.Next(0, 256), (byte)rand.Next(0, 256), (byte)rand.Next(0, 256)));
                var child = new Border { Width = width, Height = height, Background = background, BorderBrush = borderBrush, BorderThickness = borderThickness };
                DemoPanel.Children.Add(child);
            }
        }
    }
}
